Pour nous contacter : soyez au rendez-vous sur IRC ! ⋅ Parcourir l'archive musicale Dogmazic ⋅ Notre Blog
Notre Documentation

Coup de main demandé pour Installer RSR 5.1 chez 1&1

Bon,
Je piétine un peu, en fait j'ai déjà tenté plusieurs install chez free, sans succès.
Mais chez 1&1, je pense qu'il y'a tout d'approprié pour que je puisse faire ça proprement
seulement, ils ne sont pas clairs quand à la doc, pour installer un CMS perso chez eux.

HEeeLP !
le caly.

Réponses

  • Salut le Kid,

    J'ai regardé un peu la procédure d'install de RSR 5.1 dans la doc RSR...

    J'ai peut-être une suggestion ; RSR 5.1 demande PHP 5 au minimum.

    Or PHP 7 puis PHP 8 ont introduit diverses incompatibilités depuis. (PHP 6 n'a pas existé)

    Peut-être que consulter l'équipe RSR pour leur demander quel version de PHP est recommandée pour que le CMS fonctionne pourrait être une piste... C'est possible que les nouveautés des versions 7 et 8 le rendent non-fonctionnel. Peut-être. RSR est mieux placé que moi pour savoir.

    1&1 annonce qu'il vaut mieux PHP 8, que PHP 7.3 est entrée en phase End-Of-Life qui si j'ai bien compris met fin à son statut "officiellement supporté complètement-complètement" par le projet PHP... Bien que des patchs soient encore publiés, pour encore quelques temps, mais sur les failles de sécu et rien d'autre.

    Si j'ai bien suivi, 1&1 émane de IONOS, leur a permis de se développer très fort et très vite avec leur formule gratuite nom de domaine inclus, à l'époque ; le truc pour réaliser un site avec la souris et leur éditeur de page. Avec à l'époque un budget pub conséquent. Et maintenant qu'ils ont une bonne clientèle, IONOS est redevenue leur marque phare et lisible.

    Alors sur https://www.ionos.fr/assistance/hebergement/depannage-pour-php/support-prolonge-php/ je lis notamment

    "SSi [sic] votre site Web hébergé par IONOS utilise PHP 7.3, vous recevrez un e-mail vous informant que vous ne pouvez continuer à utiliser PHP 7.3 qu'avec le service supplémentaire Support Prolongé PHP.

    Le Support Prolongé PHP pour PHP 7.3 est gratuit jusqu'au 20/01/2022.Nous [re-sic pour les espaces manquants] vous recommandons donc de passer à une version actuelle de PHP jusqu'au 19/01/2022 inclus."

    Et dans la foulée :

    "Si l'un de vos domaines ou sous-domaines utilise la version 7.3 de PHP et que vous n'effectuez pas vous-même la mise à niveau vers l'une des versions supportées par la communauté PHP, nous serons dans l’obligation de vous facturer le Support Prolongé PHP à partir du 20/01/2022."

    Donc si RSR indique que PHP 8, voire PHP 7, ne sont pas à même de faire tourner RSR 5.1... Ça pourrait expliquer des choses.

    En espérant que ce message, qui n'est qu'une suggestion de piste, piste qui soulèverait plus de problèmes qu'autre chose, d'ailleurs, pourra t'être utile un peu. Bon courage.
  • Et merci au passage, ça m'a permis de lire les diverses incompatibilités introduites par PHP 8 et PHP 7 (que j'ai mis en prod direct et testé en prod ahahahhhah) pour Crem Road, ce qui va m'être utile pour passer à PHP 8 prochainement (et je promets aux auditeurs de Crem Road que cette fois je teste tout ou quasi-tout à la maison avant de changer la version de PHP sur le serveur).
  • 20 juil. modifié
    hello Nico,
    Je vais attendre le @dj3c1t
    il en saura plusss.
    Je crois que c'est lui qui l'a installé chez Revolution Sound Records
  • 21 juil. modifié
    Hey kidjazz,

    Le site actuel de RSR est toujours basé sur RSR 5.1 (avec moult modifs...), mais comme j'ai la main sur le serveur, j'y ai mis l'environnement qui va bien pour le machin, avec php 5.6 (oui, je sais, c'est pas juste préhistorique, c'est aussi mal). Après je sais pas s'il y a eu des tentatives d'installation avec des versions plus récentes de php...

    Mais la dernière mise à jour du code (la v5.1.1) date de, heu... 2011 ^^ ça fait un bail que j'ai plus touché à ce programme.

    IMHO je suis pas sûr que ce soit la meilleure option, là. à moins de se coller à corriger le truc pour que ça marche avec les versions actuelles de php.

    Je me dis que tu t'en sortirais probablement mieux avec un forum (récent) + un blog (récent aussi) + un truc genre SourceML, ou tout autre CMS qui permettrait de publier de l'audio (pour tout dire je ne sais pas trop où ça en est de nos jours coté CMS). A noter que la dernière mise à jour de SourceML est pas toute récente non plus (enfin si y'a des machins à corriger, de mon coté je suis pas sûr d'avoir l'énergie de m'y coller).
  • 22 juil. modifié
    Je crois, après lecture, que je vais chopper le Bêta de CChost, au final.
    Je crois que ce sera plus indiqué, j'avais même réussi une moitié d'install chez free,
    quelques lignes d'erreur, mais c'était opé.
    Côté design, faudra que je bidouille à mort (c'est un peu ma spécialité de bricoler du code établi, mais y'a toujours des rustines et ça n'fonctionne pas au meilleur que ça doit).
  • Et merci l'autre Nico, pour tes lumières, à chaque fois répondantes à mes doutes,
    je vais devoir te rémunérer, ma parole !
  • 22 juil. modifié
    Voilà le sourceforge de la bestiole.

    https://sourceforge.net/projects/cctools/files/ccHost/


  • En même temps,
    j'ai finalisé mon inscription en tant que dev chez CCdeveloppers
    chez Slack.
    Beaucoup de temps libre ici.
  • Tu vois @kidjazz ! Quand on a un soucis, faut faire confiance à la grande conspiration des Nico ! Enfin, au moins pour ce qui est de la technique quand il s'agit de musique copyleft en ligne... Pour se lancer dans la politique, le dernier Nico un peu notable en date n'est peut-être pas le soutien le plus efficace actuellement disponible pour ça :smiley:

Ajouter un commentaire

GrasItaliqueBarréListe ordonnéeListe non ordonnée
Emoji
Image
Aligner à gaucheCentrer le texteAligner à droiteBasculer en code HTMLBasculer en mode plein écranAllumer les lumières
Déplacer image/fichier